# Uses of Interface
io.papermc.paper.math.FinePosition

Packages that use FinePosition
Package
Description
io.papermc.paper.math
org.bukkit
The root package of the Bukkit API, contains generalized API classes.

## Uses of FinePosition in io.papermc.paper.math

Fields in io.papermc.paper.math declared as FinePosition
Modifier and Type
Field
Description
`static final FinePosition`
Position.`FINE_ZERO`
Methods in io.papermc.paper.math that return FinePosition
Modifier and Type
Method
Description
`static @NotNull FinePosition`
Position.`fine(double x, double y, double z)`
Creates a position at the coordinates
`static @NotNull FinePosition`
Position.`fine(@NotNull Location location)`
Creates a position from the location.
`default @NotNull FinePosition`
BlockPosition.`offset(double x, double y, double z)`
`default @NotNull FinePosition`
FinePosition.`offset(double x, double y, double z)`
`default @NotNull FinePosition`
FinePosition.`offset(int x, int y, int z)`
`@NotNull FinePosition`
Position.`offset(double x, double y, double z)`
Returns a position offset by the specified amounts.
`default @NotNull FinePosition`
Position.`toCenter()`
Returns a new position at the center of the block position this represents

## Uses of FinePosition in org.bukkit

Classes in org.bukkit that implement FinePosition
Modifier and Type
Class
Description
`class`
`Location`
Represents a 3-dimensional position in a world.